function Create(self)
	self.controller = self:GetController()
	self.altoverride = false
end
function Update(self)
-- THRUSTERS
	self.altEffect = self:GetAltitude(0,0)
	if PosRand() < 0.5 then
		Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Pos = (self.Pos + Vector(RangeRand(-20,20), RangeRand(15,(self.altEffect))))
			Effect.Vel = (self.Vel + Vector(RangeRand(-20,20), RangeRand(-5,5)))
			MovableMan:AddParticle(Effect)
		end
	end
	if PosRand() < 0.2 then
		Effect = CreateMOSParticle("Small Smoke Ball 1", "Base.rte")
		if Effect then
			Effect.Pos = (self.Pos + Vector(RangeRand(-20,20), RangeRand(self.altEffect,(self.altEffect-5))))
			Effect.Vel = (self.Vel + Vector(RangeRand(-20,20), RangeRand(-5,5)))
			MovableMan:AddParticle(Effect)
		end
	end

--GUNSHIP 
	self.RotAngle = 0
	self.AngularVel = 0

	if self.Vel.Y >= 1 then
		self.Vel.Y = 1
	end
	if self.altoverride == false then
		self.alt = self:GetAltitude(0,0)
		if self.alt <= 25 then
			self.Vel.Y = -3
		end
		self.alt2 = self:GetAltitude(-30,0)
		if self.alt2 <= 35 then
			self.Vel.Y = -3
		end
		self.alt3 = self:GetAltitude(10,0)
		if self.alt2 <= 25 then
			self.Vel.Y = -3
		end
	end
	if self.Vel.Magnitude >= 10 then
		self.Vel = (self.Vel*0.75)
	end
--CONTROLS
	if self.controller:IsState(Controller.MOVE_UP) then
		self.Vel.Y = (self.Vel.Y - 5)
		self.altoverride = true
	end
	if self.controller:IsState(Controller.MOVE_DOWN) then
		self.Vel.Y = (self.Vel.Y + 2)
		self.altoverride = true
	end
	if self.controller:IsState(Controller.MOVE_LEFT) then
		self.Vel.X = (self.Vel.X - 0.25)
	end
	if self.controller:IsState(Controller.MOVE_RIGHT) then
		self.Vel.X = (self.Vel.X + 0.25)
	end
	if self.controller:IsState(Controller.WEAPON_FIRE) then
		self.Vel.X = 0
	end

	if not self.controller:IsState(Controller.MOVE_LEFT) and not self.controller:IsState(Controller.MOVE_RIGHT) then
		self.Vel = self.Vel*0.25
	end
	if not self.controller:IsState(Controller.MOVE_UP) and not self.controller:IsState(Controller.MOVE_DOWN) then
		self.altoverride = false
	end
end	